;AvPkiSetup.cfg
[Application]
Logo={setup}\data\WizModernImage12a.bmp
Title=Avest PKI
Description=ГосСУОК
WelcomeDescr=Avest PKI
DefaultDevices=avToken,avPass
ConcatDevices=true

[UNINSTALL]
ExistsRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\03243FCB-0CF4-4C45-A4B3-6D91DE89CF53_is1\DisplayVersion
ExistsRegKey2=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\03243FCB-0CF4-4C45-A4B3-6D91DE89CF53}_is1\DisplayVersion
ExistsRegKey3=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\03243FCB-0CF4-4C45-A4B3-6D91DE89CF53}\DisplayVersion
ExistsRegKey4=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\03243FCB-0CF4-4C45-A4B3-6D91DE89CF53\DisplayVersion
ExistsRegKey5=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\D641AF01-491A-474B-AD11-722330A54083_is1\DisplayVersion
ExistsRegKey6=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\D641AF01-491A-474B-AD11-722330A54083}_is1\DisplayVersion
ExistsRegKey7=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\D641AF01-491A-474B-AD11-722330A54083}\DisplayVersion
ExistsRegKey8=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\D641AF01-491A-474B-AD11-722330A54083\DisplayVersion
ExistsRegKey9=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\AvPCM_nces_is1\DisplayName
ExistsRegKey10=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\AvJCEProv_is1\DisplayName
ExistsRegKey11=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\KB2836198\DisplayName
ExistsRegKey12=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\AvCMXWebP_is1\DisplayName

[STEP1]
Type=run
Caption=Проверка необходимости установки обновления Win
Description=
RightsRequired=Admin
Mandatory=false
ExistsRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\KB2836198\DisplayName
VersionRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\KB2836198\DisplayVersion
Version=1
AllowNewVersions=true

[STEP2]
Type=run
Caption=Криптопровайдер Avest CSP Bel
Description=Версия 6.3.0.791
RightsRequired=Admin
Mandatory=true
VersionRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\03243FCB-0CF4-4C45-A4B3-6D91DE89CF53_is1\DisplayVersion
VersionRegKey2=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\03243FCB-0CF4-4C45-A4B3-6D91DE89CF53}_is1\DisplayVersion
VersionRegKey3=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\03243FCB-0CF4-4C45-A4B3-6D91DE89CF53}\DisplayVersion
VersionRegKey4=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\03243FCB-0CF4-4C45-A4B3-6D91DE89CF53\DisplayVersion
Version=6.3.0.791
AllowNewVersions=true

[STEP3]
Type=run
Caption=Криптопровайдер Avest CSP
Description=Версия 6.3.0.791
RightsRequired=Admin
Mandatory=true
VersionRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\D641AF01-491A-474B-AD11-722330A54083_is1\DisplayVersion
VersionRegKey2=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\D641AF01-491A-474B-AD11-722330A54083}_is1\DisplayVersion
VersionRegKey3=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\D641AF01-491A-474B-AD11-722330A54083}\DisplayVersion
VersionRegKey4=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\D641AF01-491A-474B-AD11-722330A54083\DisplayVersion
Version=6.3.0.791
AllowNewVersions=true

[STEP4]
Type=run
Caption=Обновление типа криптопровайдера личных сертификатов в справочниках Microsoft
Description=
Mandatory=true
RightsRequired=User

[STEP5]
Type=run
Caption=Менеджер сертификатов NCES
Description=
RightsRequired=Admin
;Mandatory=true
ExistsRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\AvPCM_nces_is1\DisplayName
VersionRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\AvPCM_nces_is1\DisplayVersion
Version=4.0.6
AllowNewVersions=true

[STEP6]
Type=run
Caption=AvJCEProv
Description=
RightsRequired=Admin
;Mandatory=true
ExistsRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\AvJCEProv_is1\DisplayName
VersionRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\AvJCEProv_is1\DisplayVersion
Version=1.3.1
AllowNewVersions=true

[STEP7]
Type=run
Caption=AvCMXWebP
Description=Версия 1.1.8
RightsRequired=User
ExistsRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\AvCMXWebP_is1\DisplayName
VersionRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\AvCMXWebP_is1\DisplayVersion
Version=1.1.8
AllowNewVersions=true

[STEP8]
Type=run
Caption=Установка сертификатов
Description=
RightsRequired=User
ExistsFile={setup}\data\*.p7b
DontInstallIfNotExists=True

[STEP9]
Type=run
Caption=Установка доверия сертификатам корневых удостоверяющих центров
Description=
RightsRequired=User

[STEP10]
Type=run
Caption=Создание ярлыка "Скачать СОС"
RightsRequired=User
Description= Создание ярлыка

[SUBSTEP1.1]
Type=run
RightsRequired=Admin
Caption=Установка обновления для WinXP, WinServer2003
Description=Для корректной работы криптопровайдера необходимо наличие установленного обновления
Hint=Нажмите кнопку "Далее" для установки обновления
ExistsRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\KB2836198\DisplayName
;VersionRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\KB2836198\DisplayVersion
;Version=KB2836198
;AllowNewVersions=true
Command="{setup}\data\WindowsXP-KB2836198-x86-RUS.exe" /quiet /norestart
OSVersionToPerform=WinXP
OSBitnessToPerform=Win32
OSLocaleToPerform=ru-RU
MandatoryRestart=true
RestartExitCode=0x00000BC2
AutoStart=true

[SUBSTEP1.2]
Type=run
RightsRequired=Admin
Caption=Установка обновления для WinXP, WinServer2003
Description=Для корректной работы криптопровайдера необходимо наличие установленного обновления
Hint=Нажмите кнопку "Далее" для установки обновления
ExistsRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\KB2836198\DisplayName
;VersionRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\KB2836198\DisplayVersion
;Version=KB2836198
;AllowNewVersions=true
Command="{setup}\data\WindowsXP-KB2836198-x86-ENU.exe" /quiet /norestart
OSVersionToPerform=WinXP
OSBitnessToPerform=Win32
OSLocaleToPerform=en-GB
MandatoryRestart=true
RestartExitCode=0x00000BC2
AutoStart=true

[SUBSTEP1.3]
Type=run
RightsRequired=Admin
Caption=Установка обновления для WinXP, WinServer2003
Description=Для корректной работы криптопровайдера необходимо наличие установленного обновления
Hint=Нажмите кнопку "Далее" для установки обновления
ExistsRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\KB2836198\DisplayName
;VersionRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\KB2836198\DisplayVersion
;Version=KB2836198
;AllowNewVersions=true
Command="{setup}\data\WindowsXP-KB2836198-x86-ENU.exe" /quiet /norestart
OSVersionToPerform=WinXP
OSBitnessToPerform=Win32
OSLocaleToPerform=en-US
MandatoryRestart=true
RestartExitCode=0x00000BC2
AutoStart=true

[SUBSTEP1.4]
Type=run
RightsRequired=Admin
Caption=Установка обновления для WinXP, WinServer2003
Description=Для корректной работы криптопровайдера необходимо наличие установленного обновления
Hint=Нажмите кнопку "Далее" для установки обновления
ExistsRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\KB2836198\DisplayName
;VersionRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\KB2836198\DisplayVersion
;Version=KB2836198
;AllowNewVersions=true
Command="{setup}\data\WindowsServer2003.WindowsXP-KB2836198-x64-RUS.exe" /quiet /norestart
OSVersionToPerform=WinXP
OSBitnessToPerform=Win64
OSLocaleToPerform=ru-RU
MandatoryRestart=true
RestartExitCode=0x00000BC2
AutoStart=true

[SUBSTEP1.5]
Type=run
RightsRequired=Admin
Caption=Установка обновления для WinXP, WinServer2003
Description=Для корректной работы криптопровайдера необходимо наличие установленного обновления
Hint=Нажмите кнопку "Далее" для установки обновления
ExistsRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\KB2836198\DisplayName
;VersionRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\KB2836198\DisplayVersion
;Version=KB2836198
;AllowNewVersions=true
Command="{setup}\data\WindowsServer2003.WindowsXP-KB2836198-x64-ENU.exe" /quiet /norestart
OSVersionToPerform=WinXP
OSBitnessToPerform=Win64
OSLocaleToPerform=en-GB
MandatoryRestart=true
RestartExitCode=0x00000BC2
AutoStart=true

[SUBSTEP1.6]
Type=run
RightsRequired=Admin
Caption=Установка обновления для WinXP, WinServer2003
Description=Для корректной работы криптопровайдера необходимо наличие установленного обновления
Hint=Нажмите кнопку "Далее" для установки обновления
ExistsRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\KB2836198\DisplayName
;VersionRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\KB2836198\DisplayVersion
;Version=KB2836198
;AllowNewVersions=true
Command="{setup}\data\WindowsServer2003.WindowsXP-KB2836198-x64-ENU.exe" /quiet /norestart
OSVersionToPerform=WinXP
OSBitnessToPerform=Win64
OSLocaleToPerform=en-US
MandatoryRestart=true
RestartExitCode=0x00000BC2
AutoStart=true

[SUBSTEP1.7]
Type=run
RightsRequired=Admin
Caption=Установка обновления для WinXP, WinServer2003
Description=Для корректной работы криптопровайдера необходимо наличие установленного обновления
Hint=Нажмите кнопку "Далее" для установки обновления
ExistsRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\KB2836198\DisplayName
;VersionRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\KB2836198\DisplayVersion
;Version=KB2836198
;AllowNewVersions=true
Command="{setup}\data\WindowsServer2003-KB2836198-x86-RUS.exe" /quiet /norestart
OSVersionToPerform=Win2003
OSBitnessToPerform=Win32
OSLocaleToPerform=ru-RU
MandatoryRestart=true
RestartExitCode=0x00000BC2
AutoStart=true

[SUBSTEP1.8]
Type=run
RightsRequired=Admin
Caption=Установка обновления для WinXP, WinServer2003
Description=Для корректной работы криптопровайдера необходимо наличие установленного обновления
Hint=Нажмите кнопку "Далее" для установки обновления
ExistsRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\KB2836198\DisplayName
;VersionRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\KB2836198\DisplayVersion
;Version=KB2836198
;AllowNewVersions=true
Command="{setup}\data\WindowsServer2003-KB2836198-x86-ENU.exe" /quiet /norestart
OSVersionToPerform=Win2003
OSBitnessToPerform=Win32
OSLocaleToPerform=en-GB
MandatoryRestart=true
RestartExitCode=0x00000BC2
AutoStart=true

[SUBSTEP1.9]
Type=run
RightsRequired=Admin
Caption=Установка обновления для WinXP, WinServer2003
Description=Для корректной работы криптопровайдера необходимо наличие установленного обновления
Hint=Нажмите кнопку "Далее" для установки обновления
ExistsRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\KB2836198\DisplayName
;VersionRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\KB2836198\DisplayVersion
;Version=KB2836198
;AllowNewVersions=true
Command="{setup}\data\WindowsServer2003-KB2836198-x86-ENU.exe" /quiet /norestart
OSVersionToPerform=Win2003
OSBitnessToPerform=Win32
OSLocaleToPerform=en-US
MandatoryRestart=true
RestartExitCode=0x00000BC2
AutoStart=true

[SUBSTEP1.10]
Type=run
RightsRequired=Admin
Caption=Установка обновления для WinXP, WinServer2003
Description=Для корректной работы криптопровайдера необходимо наличие установленного обновления
Hint=Нажмите кнопку "Далее" для установки обновления
ExistsRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\KB2836198\DisplayName
;VersionRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\KB2836198\DisplayVersion
;Version=KB2836198
;AllowNewVersions=true
Command="{setup}\data\WindowsServer2003.WindowsXP-KB2836198-x64-RUS.exe" /quiet /norestart
OSVersionToPerform=Win2003
OSBitnessToPerform=Win64
OSLocaleToPerform=ru-RU
MandatoryRestart=true
RestartExitCode=0x00000BC2
AutoStart=true

[SUBSTEP1.11]
Type=run
RightsRequired=Admin
Caption=Установка обновления для WinXP, WinServer2003
Description=Для корректной работы криптопровайдера необходимо наличие установленного обновления
Hint=Нажмите кнопку "Далее" для установки обновления
ExistsRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\KB2836198\DisplayName
;VersionRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\KB2836198\DisplayVersion
;Version=KB2836198
;AllowNewVersions=true
Command="{setup}\data\WindowsServer2003.WindowsXP-KB2836198-x64-ENU.exe" /quiet /norestart
OSVersionToPerform=Win2003
OSBitnessToPerform=Win64
OSLocaleToPerform=en-GB
MandatoryRestart=true
RestartExitCode=0x00000BC2
AutoStart=true

[SUBSTEP1.12]
Type=run
RightsRequired=Admin
Caption=Установка обновления для WinXP, WinServer2003
Description=Для корректной работы криптопровайдера необходимо наличие установленного обновления
Hint=Нажмите кнопку "Далее" для установки обновления
ExistsRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\KB2836198\DisplayName
;VersionRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\KB2836198\DisplayVersion
;Version=KB2836198
;AllowNewVersions=true
Command="{setup}\data\WindowsServer2003.WindowsXP-KB2836198-x64-ENU.exe" /quiet /norestart
OSVersionToPerform=Win2003
OSBitnessToPerform=Win64
OSLocaleToPerform=en-US
MandatoryRestart=true
RestartExitCode=0x00000BC2
AutoStart=true

[SUBSTEP2.1]
Type=mouse
RightsRequired=PowerUser
Caption=Установка криптопровайдера: сбор случайности
Description=Для криптопровайдера Avest необходимо наличие предварительно собранной случайности. Подвигайте мышью в пределах главного окна программы.
;ExistsRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Avest\Avest CSP\1.0.0\Entropy
DeleteRegVal=HKEY_LOCAL_MACHINE\SOFTWARE\Avest\Avest CSP\1.0.0\Entropy
DataLength=64
DataFile={temp}\mouse.dat
DontShowIfOk=true
;VersionAlwaysOk=true
AutoStart=true

[SUBSTEP2.2]
Type=avcsp
RightsRequired=Admin
Caption=Инсталляция криптопровайдера Avest CSP Bel
Description=Для использования криптографических операций необходимо наличие установленного криптопровайдера Avest.
Hint=Нажмите кнопку "Далее" для установки криптопровайдера Avest.
VersionRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\03243FCB-0CF4-4C45-A4B3-6D91DE89CF53_is1\DisplayVersion
VersionRegKey2=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\03243FCB-0CF4-4C45-A4B3-6D91DE89CF53}_is1\DisplayVersion
VersionRegKey3=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\03243FCB-0CF4-4C45-A4B3-6D91DE89CF53}\DisplayVersion
VersionRegKey4=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\03243FCB-0CF4-4C45-A4B3-6D91DE89CF53\DisplayVersion
CSPName=Avest CSP Bel Pro
CSPType=423
Version=6.3.0.791
AllowNewVersions=true
;UninstallOldVersion=REGISTRY:HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\03243FCB-0CF4-4C45-A4B3-6D91DE89CF53_is1\QuietUninstallString
Command="{setup}\data\setupAvCSPBel6.3.0.791.exe" /NORESTART /VERYSILENT /RESTARTEXITCODE=3010 /entropy={temp}\mouse.dat "/devices={devices}"
InnoSetup=true
MandatoryRestart=true
RestartExitCode=0x00000BC2
ResumeOnRestartByDefault=true
AutoStart=true

[SUBSTEP3.1]
Type=run
RightsRequired=Admin
Caption=Установка криптопровайдера: деинсталляция 
Description=Перед инсталляцией новой версии криптопровайдера необходимо деинсталлировать предыдущую версию криптопровайдера Avest.
ExistsRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\D641AF01-491A-474B-AD11-722330A54083_is1\DisplayName
Hint=Нажмите кнопку "Далее" чтобы деинсталлировать предыдущую версию криптопровайдера
VersionRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\D641AF01-491A-474B-AD11-722330A54083_is1\DisplayVersion
VersionRegKey2=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\D641AF01-491A-474B-AD11-722330A54083}_is1\DisplayVersion
VersionRegKey3=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\D641AF01-491A-474B-AD11-722330A54083}\DisplayVersion
VersionRegKey4=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\D641AF01-491A-474B-AD11-722330A54083\DisplayVersion
Version=6.3.0.791
Command=REGISTRY:HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\D641AF01-491A-474B-AD11-722330A54083_is1\UninstallString PARAMS: /NORESTART /VERYSILENT
MandatoryRestart=true
RestartExitCode=0x00000BC2
ResumeOnRestartByDefault=true
AutoStart=true

[SUBSTEP3.2]
Type=avcsp
RightsRequired=Admin
Caption=Инсталляция криптопровайдера Avest CSP
Description=Для использования криптографических операций необходимо наличие установленного криптопровайдера Avest.
Hint=Нажмите кнопку "Далее" для установки криптопровайдера Avest.
VersionRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\D641AF01-491A-474B-AD11-722330A54083_is1\DisplayVersion
VersionRegKey2=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\D641AF01-491A-474B-AD11-722330A54083}_is1\DisplayVersion
VersionRegKey3=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\D641AF01-491A-474B-AD11-722330A54083}\DisplayVersion
VersionRegKey4=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\D641AF01-491A-474B-AD11-722330A54083\DisplayVersion
CSPName=Avest CSP Base
CSPType=421
Version=6.3.0.791
AllowNewVersions=true
;UninstallOldVersion=REGISTRY:HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\D641AF01-491A-474B-AD11-722330A54083_is1\QuietUninstallString
Command="{setup}\data\setupAvCSP6.3.0.791.exe" /NORESTART /VERYSILENT /RESTARTEXITCODE=3010 /entropy={temp}\mouse.dat "/devices={devices}"
InnoSetup=true
DontShowIfOk=true
;MandatoryRestart=true
RestartExitCode=0x00000BC2
;ResumeOnRestartByDefault=true
AutoStart=true

[SUBSTEP4.1]
Type=run
Caption=Обновление типа криптопровайдера личных сертификатов в справочниках Microsoft
Description=Обновление типа криптопровайдера личных сертификатов в справочниках Microsoft
Command="{setup}\data\AvCSPSwitcher.exe"  -quiet -store=user -fromtype=421 -totype=423 -authkeyid=ddd254bfe7a731f5c2305276a658d59084fa9418
DontShowIfOk=true
AutoStart=true

[SUBSTEP5.1]
Type=run
RightsRequired=Admin
Caption=Инсталляция менеджера сертификатов 
Description=Инсталляция Персонального менеджера сертификатов Avest (Хранилище сертификатов Microsoft).
Hint=Нажмите кнопку "Далее" для установки Персонального менеджера сертификатов 
;ExistsRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\AvPCM_nces_is1\DisplayName
;VersionRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\AvPCM_nces_is1\DisplayVersion
Version=4.0.6
;AllowNewVersions=true
Command="{setup}\data\AvPCMEx_setup.exe" /VERYSILENT /typestore=systemstore /DIR="{pfx86}\Avest\AvPCM_nces"
RestartExitCode=0x00000BC2
AutoStart=true

[SUBSTEP5.2]
Type=copy
RightsRequired=Admin
Description= Копирование
Hint=Нажмите кнопку "Далее" 
Source={setup}\data\wgetcrl\*.*
Destination={pfx86}\Avest\AvPCM_nces
AutoStart=true

[SUBSTEP6.1]
Type=run
RightsRequired=Admin
Caption=AvJCEProv
Description=Инсталляция AvJCEProv
Hint=Нажмите кнопку "Далее" для установки AvJCEProv
;ExistsRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\AvJCEProv_is1\DisplayName
;VersionRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\AvJCEProv_is1\DisplayVersion
Version=1.3.1
;AllowNewVersions=true
Command="{setup}\data\AvJCEProv-1.3.1-setup.exe" /VERYSILENT
RestartExitCode=0x00000BC2
AutoStart=true

[SUBSTEP7.1]
Type=run
RightsRequired=Admin
Caption=Деинсталляция AvCMXWebP
ExistsRegKey=HKEY_CURRENT_USER\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\AvCMXWebP_is1\DisplayName
VersionRegKey=HKEY_CURRENT_USER\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\AvCMXWebP_is1\DisplayVersion
Version=1.1.8
Command=REGISTRY:HKEY_CURRENT_USER\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\AvCMXWebP_is1\UninstallString PARAMS: /NORESTART /VERYSILENT
AutoStart=true

[SUBSTEP7.2]
Type=run
RightsRequired=Admin
Caption=AvCMXWebP
Description=Инсталляция AvCMXWebP
Hint=Нажмите кнопку "Далее" для установки AvCMXWebP.
ExistsRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\AvCMXWebP_is1\DisplayName
VersionRegKey=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\AvCMXWebP_is1\DisplayVersion
Version=1.1.8
Command="{setup}\data\AvCMXWebP-1.1.8-setup-allusers.exe" /VERYSILENT
RestartExitCode=0x00000BC2
AutoStart=true

[SUBSTEP8.1]
Type=certificatestoavcm
Caption=Установка сертификатов
Description=Для использования криптографических операций необходимо установить полученные сертификаты.
Hint=Вставьте носитель с личным ключом для установки личного сертификата и нажмите кнопку "Далее".
DLLFile={pfx86}\Avest\AvPCM_nces\AvCryptMail.dll
DLLFileVersion=4.0.0
;CertificateFiles={setup}\data\kuc_gos.cer,{setup}\data\kuc.cer,{setup}\data\kuc_m.cer,{setup}\data\kuc_rup.cer,{setup}\data\puc.cer,{setup}\data\puc_m.cer,{setup}\data\ruc.cer,{setup}\data\cas_ruc.cer
Pkcs7={setup}\data\*.p7b
CouldBeSkipped=true
AutoStart=true

[SUBSTEP9.1]
Type=certificatestostore
Caption=Установка сертификата
Description=Для использования криптографических операций необходимо установить полученные сертификаты.
Hint=Нажмите кнопку "Далее" для установки сертификата корневого УЦ.
CSPName=Avest CSP Bel
CSPType=423
CertificateFiles={setup}\data\kuc_gos.cer
Store=ROOT
UseLocalMachine=false
Container=
CouldBeSkipped=true
AutoAcceptIfOnlyOneExists=true
AutoStart=true

[SUBSTEP9.2]
Type=certificatestostore
Caption=Установка доверия сертификатам корневых удостоверяющих центров
Description=Для использования криптографических операций необходимо установить полученные сертификаты.
Hint=Нажмите кнопку "Далее" для установки сертификата Республиканского УЦ.
CSPName=Avest CSP Bel
CSPType=423
CertificateFiles={setup}\data\ruc.cer
Store=CA
UseLocalMachine=false
Container=
CouldBeSkipped=true
AutoAcceptIfOnlyOneExists=true
AutoStart=true

[SUBSTEP9.3]
Type=certificatestostore
Caption=Установка доверия сертификатам корневых удостоверяющих центров
Description=Для использования криптографических операций необходимо установить полученные сертификаты.
Hint=Нажмите кнопку "Далее" для установки сертификата Республиканского УЦ.
CSPName=Avest CSP Bel
CSPType=423
CertificateFiles={setup}\data\kuc_m.cer
Store=ROOT
UseLocalMachine=false
Container=
CouldBeSkipped=true
AutoAcceptIfOnlyOneExists=true
AutoStart=true

[SUBSTEP9.4]
Type=certificatestostore
Caption=Установка доверия сертификатам корневых удостоверяющих центров
Description=Для использования криптографических операций необходимо установить полученные сертификаты.
Hint=Нажмите кнопку "Далее" для установки сертификата Республиканского УЦ.
CSPName=Avest CSP Bel
CSPType=423
CertificateFiles={setup}\data\puc_m.cer
Store=CA
UseLocalMachine=false
Container=
CouldBeSkipped=true
AutoAcceptIfOnlyOneExists=true
AutoStart=true

[SUBSTEP9.5]
Type=certificatestostore
Caption=Установка доверия сертификатам корневых удостоверяющих центров
Description=Для использования криптографических операций необходимо установить полученные сертификаты.
Hint=Нажмите кнопку "Далее" для установки сертификата корневого УЦ.
CSPName=Avest CSP Bel
CSPType=423
CertificateFiles={setup}\data\kuc_rup.cer
Store=ROOT
UseLocalMachine=false
Container=
CouldBeSkipped=true
AutoAcceptIfOnlyOneExists=true
AutoStart=true

[SUBSTEP9.6]
Type=certificatestostore
Caption=Установка доверия сертификатам корневых удостоверяющих центров
Description=Для использования криптографических операций необходимо установить полученные сертификаты.
Hint=Нажмите кнопку "Далее" для установки сертификата корневого УЦ.
CSPName=Avest CSP Bel
CSPType=423
CertificateFiles={setup}\data\kuc.cer
Store=ROOT
UseLocalMachine=false
Container=
CouldBeSkipped=true
AutoAcceptIfOnlyOneExists=true
AutoStart=true

[SUBSTEP9.7]
Type=certificatestostore
Caption=Установка доверия сертификатам корневых удостоверяющих центров
Description=Для использования криптографических операций необходимо установить полученные сертификаты.
Hint=Нажмите кнопку "Далее" для установки сертификата корневого УЦ.
CSPName=Avest CSP Bel
CSPType=423
CertificateFiles={setup}\data\puc.cer
Store=CA
UseLocalMachine=false
Container=
CouldBeSkipped=true
AutoAcceptIfOnlyOneExists=true
AutoStart=true

[SUBSTEP9.8]
Type=certificatestostore
Caption=Установка доверия сертификатам корневых удостоверяющих центров
Description=Для использования криптографических операций необходимо установить полученные сертификаты.
Hint=Нажмите кнопку "Далее" для установки сертификата корневого УЦ.
CSPName=Avest CSP Bel
CSPType=423
CertificateFiles={setup}\data\cas_ruc.cer
Store=CA
UseLocalMachine=false
Container=
CouldBeSkipped=true
AutoAcceptIfOnlyOneExists=true
AutoStart=true

[SUBSTEP10.1]
Type=run
RightsRequired=Admin
Description= Создание ярлыка
Hint=Нажмите кнопку "Далее" 
Command="{setup}\data\make_desktop_link_x86.cmd" /VERYSILENT
Destination=
AutoStart=true
OSBitnessToPerform=Win32

[SUBSTEP10.2]
Type=run
RightsRequired=Admin
Description= Создание ярлыка
Hint=Нажмите кнопку "Далее" 
Command="{setup}\data\make_desktop_link_x64.cmd" /VERYSILENT
Destination=
AutoStart=true
OSBitnessToPerform=Win64

[UNINSTALLSTEP1]
Type=run
Caption=Криптопровайдер Avest CSP Bel
Description=Версия 6.3.0.791
RightsRequired=Admin

[UNINSTALLSTEP2]
Type=run
Caption=Криптопровайдер Avest CSP Base
Description=Версия 6.3.0.791
RightsRequired=Admin

[UNINSTALLSTEP3]
Type=run
Caption=Менеджер сертификатов
Description=
RightsRequired=Admin

[UNINSTALLSTEP4]
Type=run
Caption=AvJCEProv
Description=
RightsRequired=Admin

[UNINSTALLSTEP5]
Type=run
Caption=AvCMXWebP
Description=
RightsRequired=Admin

[UNINSTALLSUBSTEP1.1]
Type=run
RightsRequired=Admin
Caption=Деинсталляция криптопровайдера
Hint=Нажмите кнопку "Далее" чтобы деинсталлировать предыдущую версию криптопровайдера
Command=REGISTRY:HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\03243FCB-0CF4-4C45-A4B3-6D91DE89CF53_is1\UninstallString PARAMS: /NORESTART /VERYSILENT
DontShowIfOk=true
AutoStart=true
RestartOnFinish=true

[UNINSTALLSUBSTEP2.1]
Type=run
RightsRequired=Admin
Caption=Деинсталляция криптопровайдера 
Hint=Нажмите кнопку "Далее" для деинсталляции криптопровайдера
Command=REGISTRY:HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\D641AF01-491A-474B-AD11-722330A54083_is1\UninstallString PARAMS: /NORESTART /VERYSILENT
DontShowIfOk=true
AutoStart=true
RestartOnFinish=true

[UNINSTALLSUBSTEP3.1]
Type=run
RightsRequired=Admin
Caption=Деинсталляция менеджера сертификатов 
Hint=Нажмите кнопку "Далее" для удаления Персонального менеджера сертификатов 
Command=REGISTRY:HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\AvPCM_nces_is1\UninstallString PARAMS: /NORESTART /VERYSILENT
RestartExitCode=0x00000BC2
AutoStart=true

[UNINSTALLSUBSTEP4.1]
Type=run
RightsRequired=Admin
Caption=Деинсталляция AvJCEProv
Hint=Нажмите кнопку "Далее" для удаления AvJCEProv
Command=REGISTRY:HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\AvJCEProv_is1\UninstallString PARAMS: /NORESTART /VERYSILENT
RestartExitCode=0x00000BC2
AutoStart=true

[UNINSTALLSUBSTEP5.1]
Type=run
RightsRequired=Admin
Caption=Деинсталляция AvCMXWebP
Hint=Нажмите кнопку "Далее" для удаления AvCMXWebP
Command=REGISTRY:HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\AvCMXWebP_is1\UninstallString PARAMS: /NORESTART /VERYSILENT
RestartExitCode=0x00000BC2
AutoStart=true



